;------------- ConfigureWizard -------------
[Templates]
$MUBasePages       = "ModularUpgradeBegin,ModularUpgradeSearchProgress,ModularUpgradeProgress,ModularUpgradeRebootApp"
$MUBeginPagesUsage = (AppForSafeRemoval.size() ? "ModularUpgradeSafeRemoval,ModularUpgradeSafeProgress," : "") + (AppForAddRemove.size() ? "ModularUpgradeAddRemove," : "") + (AppForUnsafeRemoval.size() ? "ModularUpgradeUnsafeRemoval,ModularUpgradeUnsafeProgress," : "") + ((AppForAddRemove.size() || AppForSafeRemoval.size() || AppForUnsafeRemoval.size()) ? "ModularUpgradeReboot," : "") + (!AppForSafeRemoval.size() && !AppForAddRemove.size() && !AppForUnsafeRemoval.size() ? "ModularUpgradeProgress,ModularUpgradeRebootApp" : "")
$MUPagesUsageBase  = ((PiwFlags & #fPiwActivation && bActivationNeeded && !bSilent) || PiwFlags & #fPiwModularUpgradeBegin || PiwFlags & #fPiwfTryKIS)

[ConfigureWizard]
@ = [WizardTpl] sz(a,a) at(minimizable) mg(0,0,0,0) subst(Footer(subst(Copyright(use(1) visible(!ctl.InitFinish.visible)) )) BodyEx([ConfigureWizardPages]) ) onclose(if((settings.Ins_InitMode & #eInitMode_Init) && !(PiwFlags & #fPiwRebootOnly) && !ctl.ModularUpgradeReboot.selected && !ctl.ModularUpgradeProgress.selected && !ctl.InitFinish.selected, msg("CancelWizardWarning", #m_yesno))) onapply(f_IfErrThenMsg(savesettings(), "SettingsOperationError") ) ext(1)

[ConfigureWizardPages]
@                             = ext(1) sz(a,a) oninit(strActivationCode=g_strActivationCode; g_strActivationCode = "")
InitBegin                     = [WizardPage] h(26172) use( (PiwFlags & #fPiwSettings) && (PiwFlags & #fPiwReset) ) subst(Name(xy(7,,7)) Descr(xy(,3,7)) Body([ConfigureWizard.InitBegin]))
CheckHosts				      = [WizardPage] h(14878) use((PiwFlags & #fPiwSettings)) visible(BadHostsFileRecords.size()) subst(Name() Descr() Body([ConfigureWizard.CheckHosts] mg(20,10,20,15) ) )
ResetArea                     = [WizardPage] h(26174) use(PiwFlags & #fPiwReset) visible(ResetItems.Children.size()) subst(Name() Descr() Body([ConfigureWizard.ResetArea] mg(20,10,20,15) ) )
ModularUpgradeKeyIsFound      = [WizardPage] h(26530) use($IsInitMode && PiwFlags & #fPiwModularUpgradeBegin) btns(Back(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeKeyIsFound]))
ActivationBegin               = [WizardPage] h(($IsRefreshSubAvail && ( PiwFlags == #fPiwActivation && !$HasNoKeys))? 15448 : 15448) use((PiwFlags & #fPiwActivation) && !bSilent && bActivationNeeded) subst(Name() Descr() Body([ConfigureWizard.ActivationBegin]))
ActivationProgress            = [WizardPage] h(strActivationCode? 26530:26530) use((PiwFlags & #fPiwActivation || PiwFlags & #fPiwfTryKIS) && !bSilent && bActivationNeeded) btns(Back(enable(!bCancelling&&!bSubscriptionOnly&&(bConnectionError || (!KeyInfo.KeyType || InvalidReason != #ekirValid))) ) Next(enable(!bCancelling&&!bConnectionError && (bConnected && bSentCode && bRetrievedKey) && (KeyInfo.KeyType && InvalidReason == #ekirValid) ) )) ns(PiwLicInfo) subst(Name() Descr() Body([ConfigureWizard.ActivationProgress])) onok(if(PiwFlags & #fPiwModularUpgradeBegin, wizMask = wizPagesMask($MUBasePages)); true)
ActivationServerForm          = [WizardPage] h(15449) use((PiwFlags & #fPiwActivation) && !bSilent && bActivationNeeded) subst(Name() Descr() Body([ConfigureWizard.ActivationServerForm]))
ActivationChooseKey           = [WizardPage] h(15453) use((PiwFlags & #fPiwActivation) && !bSilent && bActivationNeeded) subst(Name() Descr() Body([ConfigureWizard.ActivationChooseKey])) onok(if(tryKeyFile(), (if(PiwFlags & #fPiwModularUpgradeBegin, wizMask = wizPagesMask($MUBasePages));true), false))
ActivationEnd                 = [WizardPage] h(26530) use((PiwFlags & #fPiwActivation || PiwFlags & #fPiwModularUpgradeEnd) && !bSilent) btns(Back(enable(0)) Cancel(enable($IsInitMode))) subst(Name() Descr() Body([ConfigureWizard.ActivationEnd]))
ModularUpgradeBegin           = [WizardPage] h(26530) use($MUPagesUsageBase) btns(Back(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeBegin])) onok(startMU(); true)
ModularUpgradeSearchProgress  = [WizardPage] h(26530) use($MUPagesUsageBase || PiwFlags & #fPiwModularUpgradeUserReboot || PiwFlags & #fPiwRevertToKAV) btns(Back(enable(0)) Next(enable(0)) Cancel(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeSearchProgress])) onselect(checkForMUApps()) onok(wizMask = wizPagesMask("ModularUpgradeBegin,ModularUpgradeSearchProgress," + $MUBeginPagesUsage); true)
ModularUpgradeSafeRemoval     = [WizardPage] h(26530) use($MUPagesUsageBase || PiwFlags & #fPiwModularUpgradeUserReboot || PiwFlags & #fPiwRevertToKAV) btns(Back(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeSafeRemoval]))
ModularUpgradeSafeProgress    = [WizardPage] h(26530) use($MUPagesUsageBase || PiwFlags & #fPiwModularUpgradeUserReboot || PiwFlags & #fPiwRevertToKAV) btns(Back(enable(0)) Next(enable(0)) Cancel(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeSafeProgress]))
ModularUpgradeAddRemove       = [WizardPage] h(26530) use($MUPagesUsageBase || PiwFlags & #fPiwModularUpgradeUserReboot || PiwFlags & #fPiwRevertToKAV) btns(Back(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeAddRemove])) onok(if(bSilent, close(#m_res_cancel), gotoPage("ModularUpgradeSearchProgress")); false)
ModularUpgradeUnsafeRemoval   = [WizardPage] h(26530) use($MUPagesUsageBase || PiwFlags & #fPiwModularUpgradeUserReboot || PiwFlags & #fPiwRevertToKAV) btns(Back(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeUnsafeRemoval]))
ModularUpgradeUnsafeProgress  = [WizardPage] h(26530) use($MUPagesUsageBase || PiwFlags & #fPiwModularUpgradeUserReboot || PiwFlags & #fPiwRevertToKAV) btns(Back(enable(0)) Next(enable(0)) Cancel(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeUnsafeProgress]))
ModularUpgradeReboot		  = [WizardPage] h(26530) use($MUPagesUsageBase || PiwFlags & #fPiwModularUpgradeUserReboot || PiwFlags & #fPiwRevertToKAV || PiwFlags & #fPiwModularUpgradeNeedReboot) btns(Back(enable(0)) Cancel(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeReboot])) onok(if(bMUReboot, f_RestartOs()))
ModularUpgradeProgress        = [WizardPage] h(26530) use($MUPagesUsageBase || PiwFlags & #fPiwModularUpgradeUserReboot || PiwFlags & #fPiwRevertToKAV || PiwFlags & #fPiwModularUpgradeProcess) btns(Back(enable(0)) Next(enable(0)) Ok(enable(0)) Cancel(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeProgress]))
ModularUpgradeRebootApp       = [WizardPage] h(26530) use(!$IsInitMode && ($MUPagesUsageBase || PiwFlags & #fPiwModularUpgradeUserReboot || PiwFlags & #fPiwRevertToKAV || PiwFlags & #fPiwModularUpgradeProcess)) btns(Back(enable(0)) Cancel(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeRebootApp]))
EnumExe                       = [WizardPage] h(26176) use((PiwFlags & #fPiwSettings || PiwFlags & #fPiwModularUpgradeEnd) && f_isInstalled("Hips")) btns(Back(enable(0)) Next(enable(Progress==100)) Ok(enable(Progress==100))) subst(Name() Descr() Body([ConfigureWizard.EnumExe]))
ModularUpgradeFinish          = [WizardPage] h(26530) use(PiwFlags & #fPiwModularUpgradeEnd) btns(Back(enable(0)) Cancel(enable(0))) subst(Name() Descr() Body([ConfigureWizard.ModularUpgradeFinish]))
InitFinish                    = [WizardPage] h(26177) use(PiwFlags & (#fPiwSettings | #fPiwRebootOnly) || ($IsInitMode && (PiwFlags & #fPiwModularUpgradeEnd))) btns(Back(enable(0)) Cancel(enable(0))) subst( Header(visible(PiwFlags & #fPiwReset)) Name() Descr() Body([ConfigureWizard.InitFinish] mg(0,0,0,0) ))

;------------- ConfigureWizard.InitBegin -------------

[ConfigureWizard.InitBegin]
@       = ext(1)
Info    = [ConfigureWizard.InitBegin_Info]

[ConfigureWizard.InitBegin_Info]
@       = sz(p,a)
Descr   = sz(a,a)

;------------- ConfigureWizard.CheckHosts -------------
					   
[ConfigureWizard.CheckHosts]
@       = ext(1)
Info    = [ConfigureWizard.CheckHosts_Info]

[ConfigureWizard.CheckHosts_Info]
@       = sz(p,p) a(lt)
Descr   = sz(p,a)
Note	= sz(p,a)
List    = t(richedit) at(readonly,vscroll) a(sa) sz(p,120) xy(,7) text(BadHostsFileRecords.format("e", "\n")) enable(!bCureHostsFileDone)
Action	= [ConfigureWizard.CheckHosts_Info_Action] enable(!bCureHostsFileDone)

[ConfigureWizard.CheckHosts_Info_Action]
@				= $SettingsGroup v(bCureHostsFile) xy(0,) sz(p,a)
Delete			= $Radio sz(a,a) v(1) f("PIW_Bold")
Skip			= $Radio sz(a,a) a(la) xy(,7) v(0)

;------------- ConfigureWizard.ResetArea -------------
					   
[ConfigureWizard.ResetArea]
@       = ext(1)
Info    = [ConfigureWizard.ResetArea_Info]

[ConfigureWizard.ResetArea_Info]
@       = sz(p,p) a(lt)
Descr   = sz(p,a)
List    = [SettingsReset_List] v(ResetItems)

;------------- ConfigureWizard.ActivationBegin -------------

[ConfigureWizard.ActivationBegin]
$WizActPages        = mask(wizMask, wizPagesMask("ActivationProgress,ActivationServerForm,ActivationChooseKey,ActivationEnd,ModularUpgradeBegin,ModularUpgradeSearchProgress,ModularUpgradeSafeRemoval,ModularUpgradeSafeProgress,ModularUpgradeAddRemove,ModularUpgradeUnsafeRemoval,ModularUpgradeUnsafeProgress,ModularUpgradeReboot,ModularUpgradeProgress,ModularUpgradeRebootApp,ModularUpgradeFinish"))
@                   = ext(1)
Ctrls               = [ConfigureWizard.ActivationBegin_Ctrls]

[ConfigureWizard.ActivationBegin_Ctrls]
@=sz(p,p) v($WizActPages) onok((ctl.RemoveKey.selected) ? (if(msg("LicenseRemoveKeyWarning", #m_yesno) && checkPassword(#pwdc_SaveSettings), (removeKey() )) ) : ((ctl.ActivateCommercial.selected) ? (if(f_IsPossibleAddKey(), true, false) ) : true ) )
RefreshSubscription        = $Radio f("PIW_Radio") a(la) xy(0,0) v(wizPagesMask("ActivationProgress,ActivationEnd")) visible($IsRefreshSubAvail)
ActivateCommercial         = $Radio f("PIW_Radio") a(la) xy(0,0) use($PersonalOnly) visible(!$HasReserveKey && !$IsSubscription) v(wizPagesMask("ActivationProgress,ActivationServerForm,ActivationEnd"))
ActivateCommercial_Desc    = t(richedit) at(readonly,nofocus,noborder) a(la) f("PIW_Normal") xy($RadioCommentShift,8) use($PersonalOnly) visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode) 
ActivationCode             = t(edit) at(serial) a(as) ta(r) sz(180,a) xy(5,-3,) v(strActivationCode) oninit(if(LockActivationCode,strActivationCode=settings.Ins_ActivationCode)) enable(!LockActivationCode && ctl.ActivateCommercial.selected) visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode)
ActivationCode_Desc        = t(richedit) at(readonly,nofocus,noborder) a(la) sz(a,a) xy($RadioCommentShift,5) f("PIW_Normal") onclick(url($WhatIsCustomerIdLink)) visible(!$HasReserveKey && !$IsSubscription)
;ActivateBetaKAV            = $Radio f("PIW_Radio") a(la) xy(0,35) use($PersonalOnly && !IsRelease && !$IsActiveKeyBeta ) visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode) v(wizPagesMask("ActivationProgress,ActivationEnd"))
ActivateBetaKIS            = $Radio f("PIW_Radio") a(la) xy(0,35) use($PersonalOnly && !IsRelease && !$IsActiveKeyBeta ) visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode) v(wizPagesMask("ActivationProgress,ActivationEnd"))
ActivateTrial              = $Radio f("PIW_Radio") a(la) xy(0,35) use($PersonalOnly && !$IsActiveKeyTrial && !bAlreadyTrialled && !$IsActiveKeyCommercial && IsRelease && !$IsSubscription && !LockActivationCode) v(wizPagesMask("ActivationProgress,ActivationEnd"))
ActivateTrial_Desc         = a(la) $RadioCommentShiftXY f("PIW_Normal") use($PersonalOnly && !$IsActiveKeyTrial && !bAlreadyTrialled && !$IsActiveKeyCommercial && IsRelease && !$IsSubscription && !LockActivationCode)
ActivateTrialKIS           = $Radio f("PIW_Radio") a(la) xy(0,35) use(!$IsInitMode && $IsKAV && !bKISAlreadyTrialled && $PersonalOnly && IsRelease && !LockActivationCode && !$IsActiveKeyCommercial && env("HideUpgradeTab") != "1") v(wizPagesMask("ActivationProgress," + $MUBasePages)) onok(if(ctl.selected, (wizMask = wizPagesMask("ActivationProgress," + $MUBasePages))); true)
ActivateTrialKIS_Desc      = a(la) $RadioCommentShiftXY f("PIW_Normal") use(ctl.ActivateTrialKIS.visible)
RevertToCommercialKAV      = $Radio f("PIW_Radio") a(la) xy(0,35) use(!$IsInitMode && $PersonalOnly && ($IsActiveKeyTrial || $HasNoKeys) && isMUTrialKIS()) v(wizPagesMask($MUBasePages)) onok(if(ctl.selected, (startRevertToKAV(); wizMask = wizPagesMask("ModularUpgradeBegin,ModularUpgradeSearchProgress,ModularUpgradeProgress,ModularUpgradeRebootApp"))); true)
RevertToCommercialKAV_Desc = a(la) $RadioCommentShiftXY f("PIW_Normal") use(!$IsInitMode && $PersonalOnly && ($IsActiveKeyTrial || $HasNoKeys) && isMUTrialKIS())

ChooseKey          = $Radio f("PIW_Radio") a(la) xy(0,35) visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode) v(wizPagesMask("ActivationChooseKey,ActivationEnd"))
ChooseKey_Desc          = a(la) $RadioCommentShiftXY f("PIW_Normal") visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode)


Later                      = $Radio f("PIW_Radio") a(la) xy(,35) use($IsInitMode) visible(PiwFlags != #fPiwActivation) v(0)
Later_Desc                 = a(la) $RadioCommentShiftXY f("PIW_Normal") use($IsInitMode) visible(PiwFlags != #fPiwActivation)
;RemoveKey			       = $Radio f("PIW_Radio") a(la) xy(,35) v(0) visible(PiwFlags == #fPiwActivation && !$HasNoKeys && !bSubscriptionOnly)

[ConfigureWizard.ActivationBegin_Info]
@                   = sz(p,50)
ActivationUrlsInfo  = t(richedit) sz(p,a) at(noborder,nofocus,readonly)

;------------- ConfigureWizard.ActivationForm was deleted -------------

;------------- ConfigureWizard.ActivationProgress -------------

[ConfigureWizard.ActivationProgress]
@       = ext(1)
Info    = [ConfigureWizard.ActivationProgress_Info]

[ConfigureWizard.ActivationProgress_Info]
@                   = sz(p,a)
ConnectingIcon      = i(bConnected ? "States16,0" : "listctrls,6") a(la) sz(a,a)
ConnectingInfo      = [Value] a(as) subst(Name() Val())
SendingCodeIcon     = i(bSentCode ? "States16,0" : "listctrls,6") a(la) xy(,20) visible(bConnected) sz(a,a)
SendingCodeInfo     = [Value] a(as) visible(bConnected) subst(Name() Val())
RetrievingKeyIcon   = i(bRetrievedKey ? "States16,0" : "listctrls,6") a(la) xy(,20) visible(bSentCode) sz(a,a)
RetrievingKeyInfo   = [Value] a(as) visible(bSentCode) subst(Name() Val())
StatusIcon          = i("States16,0") a(la) xy(,20) visible(KeyInfo.KeyType && InvalidReason == #ekirValid) sz(a,a) ns(PiwLicInfo)
Status              = a(as) visible(KeyInfo.KeyType && InvalidReason == #ekirValid) ns(PiwLicInfo)
KeyInfo             = [ConfigureWizard.ActivationProgress_KeyInfo] xy(,26) ns(PiwLicInfo) visible(KeyInfo.KeyType && InvalidReason == #ekirValid)

[ConfigureWizard.ActivationProgress_KeyInfo]
@               = sz(p,a) a(la) ext(1)
Separator       = t(group) a(la) sz(p,2) xy(,0,0,) at(3dborder)
Type            = [Value] a(la) xy(20,14,20,0) subst(Name() Val(text(f_KeyTypeDescription(KeyInfo)) ta(rt) sz(p,a)))
ExpirationDate  = [Value] a(la) xy(20,15,20,0) subst(Name() Val( ta(rt) sz(p,a))) visible(!f_IsKeySubscr(KeyInfo.KeyType) || $KeyDebug) extprm(1)

;------------- ConfigureWizard.ActivationServerForm -------------

[ConfigureWizard.ActivationServerForm]
@           = ext(1)
Info        = [ConfigureWizard.ActivationServerForm_Info]

[ConfigureWizard.ActivationServerForm_Info]
@                   = sz(p,p) xy(,,,7)
Hint                = sz(p,a) xy(,,,7)
ActivationHtmlForm  = t(html) at(noscroll) mg(20,) xy(,,,7) a(la) bg("ColorWindowClassic")

;------------- ConfigureWizard.ActivationChooseKey -------------

[ConfigureWizard.ActivationChooseKey]
@           = ext(1)
Info        = [ConfigureWizard.ActivationChooseKey_Info]

[ConfigureWizard.ActivationChooseKey_Info]
@               = sz(p,a)
ConnectingIcon      = i("States16,1") a(la) sz(a,a) visible(bConnected)
ConnectingInfo      = [Value] a(as) subst(Name() Val(f("PIW_Bold_Red") xy(140) at(btnlike) ns(PiwLicErrorInfo) onclick( msg("LicOperationError", #m_error) ) )) visible(bConnected)
TryAgain            = $Button_Medium a(rs) xy(-17,-5) visible(bConnected)
Descr1              = a(la) xy(19,13)
Descr2              = a(la) xy(19,17)
Descr3              = t(richedit) at(readonly,noborder,nofocus) sz(p,a) a(la) xy(19,17)
KeyPathLabel        = a(la) xy(,15) sz(a,a)
KeyPath             = t(edit) at(nofocus,compresspath,readonly) a(as) sz(p,a) xy(32,-5,74) v(strKeyPath) enable(strKeyPath)  onok(if(!strKeyPath, balloon("ErrEmptyKeyPath")))
KeyBrowse           = $Button a(rs) xy(-17,-1,) text($Browse) onclick(browsefileopen(strKeyPath, $BrowseForKey, "key"))
KeyInfo            = [ConfigureWizard.ActivationChooseKey_Info_KeyInfo] $GroupBox ns(PiwLicInfo) visible(PiwLicInfo.KeyInfo.KeyType != #ektUnknown) 

[ConfigureWizard.ActivationChooseKey_Info_KeyInfo]
@               = sz(p,a) a(la) xy(,$Control_Shift) mg(20,7) ext(1)
Number          = [Value] a(la) xy(,,,7) subst(Name() Val(text(f_KeySerNum(KeyInfo.KeySerNum)) ta(rt) sz(342,a)))
Type            = [Value] a(la) xy(,,,7) subst(Name() Val( a(as) xy(10,0) sz(p,a) ta(rt) text(f_KeyTypeDescription(KeyInfo)) ))
CreationDate    = [Value] a(la) xy(,,,7) subst(Name() Val(text(date(KeyInfo.KeyCreationDate)) ta(rt) sz(342,a))) visible(InvalidReason == #ekirKeyCreationDateInvalid || $KeyDebug)
InstallDate     = [Value] a(la) xy(,,,7) subst(Name() Val(text(date(KeyInstallDate)) ta(rt) sz(342,a)))        visible(!f_IsKeySubscr(KeyInfo.KeyType) || $KeyDebug)
ExpirationDate  = [Value] a(la) xy(,,,7) subst(Name() Val(text(datetime(KeyExpirationDate)) ta(rt) sz(342,a))) visible(!f_IsKeySubscr(KeyInfo.KeyType) || $KeyDebug) extprm(1)
SubscrptnExpDate= [Value] a(la) xy(,,,7) subst(Name() Val(text(s_SubscrptnExpDate(SubscriptionInfo.ExpDateType)) ta(rt) sz(342,a))) visible(f_IsKeySubscr(KeyInfo.KeyType))
SubscrptnTol    = [Value] a(la) xy(,,,7) subst(Name(text("ToleranceDays")) Val(text(KeyInfo.SubscriptionInfo.ToleranceDays) ta(rt) sz(342,a))) visible(f_IsKeySubscr(KeyInfo.KeyType) && $KeyDebug)
InvalidReason   = a(ca) xy(,,,7) f("Normal_Bold") text(s_KeyInvalidReason(InvalidReason)) visible(InvalidReason != #ekirValid)

;------------- ConfigureWizard.ActivationEnd -------------

[ConfigureWizard.ActivationEnd]
@       = ext(1)
Info    = [ConfigureWizard.ActivationEnd_Info]

[ConfigureWizard.ActivationEnd_Info]
@       = sz(p,a)
Text2   = a(la) xy(,7) sz(p,a) i("States16,0")
KeyInfo = [ConfigureWizard.ActivationProgress_KeyInfo] xy(,17) ns(PiwLicInfo)

;------------- ConfigureWizard.ModularUpgradeKeyIsFound -------------

[ConfigureWizard.ModularUpgradeKeyIsFound]
@       = ext(1) 
Info    = [ConfigureWizard.ModularUpgradeKeyIsFound_Info]

[ConfigureWizard.ModularUpgradeKeyIsFound_Info]
@         = sz(p,a)
KeyInfo   = [ConfigureWizard.ModularUpgradeKeyIsFound_KeyInfo] ns(PiwLicInfo)
Separator = $StdAreaSeparator xy(,17)
Text2     = a(la) xy(,17) sz(p,a)
Text3     = a(la) xy(,7) sz(p,a) f("Normal_Bold")
Ctrls     = [ConfigureWizard.ModularUpgradeKeyIsFound_Info_Ctrls]

[ConfigureWizard.ModularUpgradeKeyIsFound_KeyInfo]
@               = sz(p,a) a(la) ext(1)
ProductType     = [Value] a(la) xy(20,10,20,0) subst(Name() Val(ta(rt) sz(p,a)))
Type            = [Value] a(la) xy(20,10,20,0) subst(Name() Val(text(f_KeyTypeDescription(KeyInfo)) ta(rt) sz(p,a)))
ExpirationDate  = [Value] a(la) xy(20,10,20,0) subst(Name() Val(ta(rt) sz(p,a))) visible(!f_IsKeySubscr(KeyInfo.KeyType) || $KeyDebug) extprm(1)

[ConfigureWizard.ModularUpgradeKeyIsFound_Info_Ctrls]
@                  = sz(p,a) a(la) xy(,7) 
UseFoundLicense    = $Radio a(la) xy(0,7) onok(if(ctl.selected, (wizMask = wizPagesMask($MUBasePages))); true)
NotUseFoundLicense = $Radio a(la) xy(0,7) onok(var pSer; if(ctl.selected, (rejectMU(); ctl.top.updatedata(); wizMask = wizPagesMask("ActivationBegin,ActivationProgress,ActivationServerForm,ActivationChooseKey,ActivationEnd,EnumExe,InitFinish"))); true)


;------------- ConfigureWizard.ModularUpgradeBegin -------------

[ConfigureWizard.ModularUpgradeBegin]
@       = ext(1)
Info    = [ConfigureWizard.ModularUpgradeBegin_Info]

[ConfigureWizard.ModularUpgradeBegin_Info]
@       = sz(p,a)
Text2   = a(la) xy(,7) sz(p,a)
Text3   = a(la) xy(,7) sz(p,a)
LicenseWarning  = a(la) xy(,17) sz(p,a) i("LowCrit") ia(lt) use($IsActiveKeyCommercial) visible(bShowMURollbackWarning)

;------------- ConfigureWizard.ModularUpgradeSearchProgress -------------

[ConfigureWizard.ModularUpgradeSearchProgress]
@       = ext(1)
Info    = [ConfigureWizard.ModularUpgradeSearchProgress_Info]

[ConfigureWizard.ModularUpgradeSearchProgress_Info]
@        = sz(p,a) oninit(ctl.Progress.setProgressAnimationState(1))
Text2    = a(la) xy(,7) sz(p,a)
Progress = t(progress) a(la) sz(p,16) xy(,7)

;------------- ConfigureWizard.ModularUpgradeSafeRemoval -------------

[ConfigureWizard.ModularUpgradeSafeRemoval]
@       = ext(1)
Info    = [ConfigureWizard.ModularUpgradeSafeRemoval_Info]

[ConfigureWizard.ModularUpgradeSafeRemoval_Info]
@       = sz(p,p)
Text2   = a(la) xy(,7) sz(p,a)
List    = t(richedit) at(readonly,vscroll) a(la) sz(p,p) xy(,17) text(AppForSafeRemoval.format("e", "\n"))

;------------- ConfigureWizard.ModularUpgradeSafeProgress -------------

[ConfigureWizard.ModularUpgradeSafeProgress]
@       = ext(1)
Info    = [ConfigureWizard.ModularUpgradeSafeProgress_Info]

[ConfigureWizard.ModularUpgradeSafeProgress_Info]
@        = sz(p,a) oninit(ctl.Progress.setProgressAnimationState(1))
Text2    = a(la) xy(,7) sz(p,a)
Progress = t(progress) a(la) sz(p,16) xy(,7)

;------------- ConfigureWizard.ModularUpgradeAddRemove -------------

[ConfigureWizard.ModularUpgradeAddRemove]
@       = ext(1)
Info    = [ConfigureWizard.ModularUpgradeAddRemove_Info]

[ConfigureWizard.ModularUpgradeAddRemove_Info]
@             = sz(p,p)
Text2         = a(la) xy(,7) sz(p,a)
List          = t(richedit) at(readonly,vscroll) a(la) sz(p,100) xy(,17) text(AppForAddRemove.format("e", "\n"))
OpenAddRemove = t(button) sz(300,23) onclick(openAddRemove()) a(la) xy(,7)

;------------- ConfigureWizard.ModularUpgradeUnsafeRemoval -------------

[ConfigureWizard.ModularUpgradeUnsafeRemoval]
@       = ext(1) 
Info    = [ConfigureWizard.ModularUpgradeUnsafeRemoval_Info]

[ConfigureWizard.ModularUpgradeUnsafeRemoval_Info]
@       = sz(p,p)
Text2   = a(la) xy(,7) sz(p,a)
List    = t(richedit) at(readonly,vscroll) a(la) sz(p,p) xy(,17) text(AppForUnsafeRemoval.format("e", "\n"))

;------------- ConfigureWizard.ModularUpgradeUnsafeProgress -------------

[ConfigureWizard.ModularUpgradeUnsafeProgress]
@       = ext(1)
Info    = [ConfigureWizard.ModularUpgradeUnsafeProgress_Info]

[ConfigureWizard.ModularUpgradeUnsafeProgress_Info]
@       = sz(p,a) oninit(ctl.Progress.setProgressAnimationState(1))
Text2   = a(la) xy(,7) sz(p,a)
Progress = t(progress) a(la) sz(p,16) xy(,7)

;------------- ConfigureWizard.ModularUpgradeReboot -------------

[ConfigureWizard.ModularUpgradeReboot]
@       = ext(1)
Info    = [ConfigureWizard.ModularUpgradeReboot_Info]

[ConfigureWizard.ModularUpgradeReboot_Info]
@        = sz(p,a) 
Text2    = a(la) xy(,7) sz(p,a)
Reboot   = $Check xy(,34) v(bMUReboot) 

;------------- ConfigureWizard.ModularUpgradeProgress -------------

[ConfigureWizard.ModularUpgradeProgress]
@       = ext(1)
Info    = [ConfigureWizard.ModularUpgradeProgress_Info]

[ConfigureWizard.ModularUpgradeProgress_Info]
@       = sz(p,a) oninit(ctl.Progress.setProgressAnimationState(1))
Text2   = a(la) xy(,7) sz(p,a)
Progress = t(progress) a(la) sz(p,16) xy(,7)

;------------- ConfigureWizard.ModularUpgradeRebootApp -------------

[ConfigureWizard.ModularUpgradeRebootApp]
@       = ext(1)
Info    = [ConfigureWizard.ModularUpgradeRebootApp_Info]

[ConfigureWizard.ModularUpgradeRebootApp_Info]
@       = sz(p,a)
Text2   = a(la) xy(,7) sz(p,a)

;------------- ConfigureWizard.ModularUpgradeFinish -------------

[ConfigureWizard.ModularUpgradeFinish]
@       = ext(1)
Info    = [ConfigureWizard.ModularUpgradeFinish_Info]

[ConfigureWizard.ModularUpgradeFinish_Info]
@       = sz(p,a)
Text2   = a(la) xy(,7) sz(p,a)

;------------- ConfigureWizard.InitFinish -------------

[ConfigureWizard.InitFinish]
@       = ext(1) sz(p,314)
BG      = a(lt) sz(p,p) bg("MainWindowNav") xy(,,,0)
pic     = a(lt) bg(const(if($IsInitMode, "IstallerLeftBanner_" + env("ProductType")))) sz(a,p)
Info    = [ConfigureWizard.InitFinish_Info] a(at) xy(0,0,0,-2) bg(const($IsInitMode? "White" : "MainWindowNav"))

[ConfigureWizard.InitFinish_Info]
@  = sz(p,p)
Ex = [ConfigureWizard.InitFinish_Info_Inner] xy(20,20,20,)

[ConfigureWizard.InitFinish_Info_Inner]
@                   = sz(p,p)
FinishDescr         = a(la) xy(,,,15) sz(p,a) f("PIW_Large_Bold")
ResetDescr          = a(la) xy(,7) sz(p,a) use(PiwFlags & #fPiwReset)
RebootPiwWarning    = a(la) xy(,7) use(settings.Ins_InitMode & #eInitMode_Init)
Reboot              = $Check xy(,34) v(bReboot) visible($IsInstallNeedReboot) use(!(PiwFlags & #fPiwReset))
StartProduct        = $Check xy(,34) v(bStartProduct) visible(!$IsInstallNeedReboot) use(!(PiwFlags & #fPiwReset))

;------------- ConfigureWizard.EnumExe -------------

[ConfigureWizard.EnumExe]
@                   = ext(1)
Info                = sz(p,a)
Progress            = t(progress) a(la) xy(,17) sz(p,20) v(Progress)
CurrentObjectName   = sz(p,a) a(la) xy(,10) v(strCurrentObjectName)

;------------- LicenseKeysDiscartedDetails -----------

[LicenseKeysDiscartedDetails]
$attribute = at(dragable,resizable,a_close,nohelp,a_ok,a_cancel)
@  = [StyledWindowT_Small] $attribute subst( BodyEx( [LicenseKeysDiscartedDetails.Body] ) ) sz(400,300)

[LicenseKeysDiscartedDetails.Body]
@       = $DlgBodyAttr
Descr   = t(richedit) at(readonly,vscroll) sz(p,p) text(aKeys.format("f_LicenseKeysDiscartedDetailsVFmt()", "\n\n"))

;------------- LicenseExpirationWindow ------------

[LicenseExpirationWindow]
@  = [StyledWindowT_Small] at(dragable,a_close,customfooter,nohelp) subst( BodyEx( [LicenseExpirationWindow_BodyEx] ) ) sz(450,a)

[LicenseExpirationWindow_BodyEx]
Header  = [LicenseExpirationWindow_Header]
Body    = [LicenseExpirationWindow_Body]

[LicenseExpirationWindow_Header]
@           = a(la) sz(p,a) mg(10,10,10,0)
Ico         = i("e32")
CaptionText = a(ac) xy(7) sz(p,a) f("Header1Red")

[LicenseExpirationWindow_Body]
@               = $DlgBodyAtt sz(p,a) mg(20,10) a(la)
TrialWarning    = a(la) sz(a,a) visible($IsActiveKeyTrial)
Text            = t(richedit) at(readonly,noborder,nofocus) a(sa) sz(p,a) text(s_LicenseExpiration_BlacklistInvalid(global.LicInvalidReason == #ekirInvalidBlacklist))
